<?php
/**
 *	Class Horoscope
 *	@package: Horoscop
 *	@since: 2.1.8
 */
require_once( 'functions.php' );
class Horoscope extends WP_Widget
{
	public function __construct() {
		parent::__construct(
			'Horoscope',	// Base ID
			'Horoscop',		// Name
			array( 'description' => __( 'Ia-mă de aici şi pune-mă în sidebar, să îţi arăt ce pot!' ), )
		);
	}
	public function widget( $args, $instance ) {
		global $wpdb, $signs;
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $before_widget;
		if ( ! empty( $title ) )
			echo $before_title . $title . $after_title;
		/**
		 *	jQuery for sliding
		 *	@since: 2.1.8
		 */
		$code .= '<script type="text/javascript">
		$(document).ready(function() {
			$("div.horoscop-sign").css( "display", "none" );
			$(".horoscope-sign-widget").click(function() {
				var this_sign = $(this).attr( "title" );
				var what_show = "show-"+this_sign+"-content";
				$("#horoscope-sign-list").slideUp( "slow" );
				$("div#"+what_show).slideDown( "slow" );
				$("p#horoscope-sign-back").click(function() {
					$("div#"+what_show).slideUp( "slow" );
					$("#horoscope-sign-list").slideDown( "slow" );					
				});
			});
		});</script>';
		$code .= '<div id="horoscope-widget">';
		for ( $i = 0; $i < 12; $i++ ) {
			$sign = array( $signs[ $i ], ucfirst( $signs[ $i ] ) );
			$content = $wpdb->get_results( "SELECT content FROM " .$wpdb->prefix . "horoscope_cache WHERE sign='$sign[0]'", OBJECT );
			$code .= '<div class="horoscop-sign" id="show-'. $sign[1] .'-content">
				<h3 id="horoscope-sign-title">'. $sign[1] . '</h3><br/>
				<p id="horoscope-sign-subtitle">' . sign_period ( $sign[0] ) . '</p>
				<p id="horoscop-sign-content">' . $content[0]->content . '</p>
				<p id="horoscop-sign-left">' . date( 'd.' ) . month_translate() . date( '.Y' ) . '</p>
				<p id="horoscop-sign-right"><a href="http://www.acvaria.com" target="_blank">www.acvaria.com</a></p>
				<p id="horoscope-sign-back">Înapoi</p>
			</div>';
		}
		/**
		 * Display mode: text list (from first version :">) added with matrix in this version
		 * @since: 1.8.3
		 */
		if ( $instance['display_mode'] ) {
			$code .= '<ul id="horoscope-sign-list" style="text-align: left;">';
			foreach ( $signs as $sign ) {
				$code .= '<li class="horoscope-sign-widget" title="' . ucfirst( $sign ) . '">' .  ucfirst( $sign ) . '</li>';
			}
			$code .= '</ul>';
		} else {
			$code .= '<div id="horoscope-sign-list">';
			$i = 1;
			foreach ( $signs as $sign ) {
				if ( $i == 4 ) {
					$br = '<br/>';
					$i = 0;
				} else $br = '';
				$i++;
				$code .= '<img src="' . IMAGES_HOROSCOPE_DIR . $sign . '.png" class="horoscope-sign-widget" title="' . ucfirst( $sign ) . '" style="padding: 1px;" alt="' . $sign . '">' . $br;
			}
			$code .= '</div>';
		}
		$code .= '</div>';
		echo $code . $after_widget;
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['display_mode'] = (int)$new_instance['display_mode'];
		return $instance;
	}
	public function form( $instance ) {
		$defaults = array( 'title' => 'Horoscop', 'display_mode' => 0 );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<div class="widget-content">
			<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Titlu:' ); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" /></p>
			<p><?php _e( 'Mod afişare:' ); ?><br/>
				<?php
				if ( $instance['display_mode'] ) {
					$matrix_selected = '';
					$list_selected = 'selected="selected"';
				} else {
					$matrix_selected = 'selected="selected"';
					$list_selected = '';
				}
				?>
				<select class="widefat" name="<?php echo $this->get_field_name( 'display_mode' ); ?>">
					<option value="0" <?php echo $matrix_selected; ?>>Matrice de imagini</option>
					<option value="1" <?php echo $list_selected; ?>>Listă ordonată cu zodii</option>
				</select>
			</p>
		</div>
		<?php
	}
}
?>